package com.platform.service;

import java.util.List;
import java.util.Map;

import com.platform.entities.SqlFileInfoEntity;

public interface IScriptMakeService {
	
	/** 创建 cfg文件
	 * @return
	 * @throws Exception
	 */
	public int makeCfg() throws Exception;
	
	/** 创建 xml文件
	 * @return
	 * @throws Exception
	 */
	public int makeXml() throws Exception;
	
	/** 移动文件
	 * @param file
	 * @return
	 * @throws Exception
	 */
	public int moveFiles(List<SqlFileInfoEntity> file) throws Exception;
	
	/** 查找所有文件
	 * @return
	 * @throws Exception
	 */
	public List<SqlFileInfoEntity> findAllFiles() throws Exception;
	
	/** 读取sql文件内容
	 * @param name
	 * @param form
	 * @return
	 */
	public Map<String, Object> readSql(String name, SqlFileInfoEntity form);
	
	/**
	 * @param type 那种脚本（3种脚本之一）
	 * @param opt 那种操作
	 * @param content 内容
	 * @param form 当前是那个系统
	 * @return
	 */
	public Map<String, Object> handleSqlFile(String type, String opt, String content, SqlFileInfoEntity form);
	
	/** 一键审核
	 * @param forms
	 * @return
	 */
	public Map<String, Object> totalOnholeSqlFile(List<SqlFileInfoEntity> forms);
	
	/** 一键审核
	 * @param forms
	 * @return
	 */
	public Map<String, Object> totalVerifySqlFile(List<SqlFileInfoEntity> forms);
	
}
